Update system.
curl --request PUT \
--url https://platform.versori.com/api/v2/o/{organisation_id}/systems/{system_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"domain": "<string>",
"templateBaseUrl": "<string>"
}
'import requests
url = "https://platform.versori.com/api/v2/o/{organisation_id}/systems/{system_id}"
payload = {
"name": "<string>",
"domain": "<string>",
"templateBaseUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', domain: '<string>', templateBaseUrl: '<string>'})
};
fetch('https://platform.versori.com/api/v2/o/{organisation_id}/systems/{system_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"authSchemeConfigs": [
{
"none": {
"id": "<string>",
"description": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"apiKey": {
"id": "<string>",
"description": "<string>",
"name": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"basicAuth": {
"id": "<string>",
"description": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"oauth2": {
"id": "<string>",
"description": "<string>",
"tokenUrl": "<string>",
"scopes": [
{
"name": "<string>",
"description": "<string>"
}
],
"defaultScopes": [
"<string>"
],
"grant": {
"authorizationCode": {
"credentialId": "<string>",
"organisationId": "<string>",
"clientId": "<string>",
"clientSecret": "<string>"
},
"clientCredentials": {},
"password": {
"credentialId": "<string>",
"organisationId": "<string>",
"clientId": "<string>",
"clientSecret": "<string>"
}
},
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
],
"authorizeUrl": "<string>",
"additionalAuthorizeParams": "<string>",
"additionalTokenParams": "<string>",
"mtlsEnabled": true,
"mtlsCredentialId": "<string>",
"pkce": true
},
"oauth1": {
"id": "<string>",
"description": "<string>",
"consumerKey": "<string>",
"consumerSecret": "<string>",
"signatureMethod": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
],
"tokenAuth": true,
"tempCredentialEndpoint": {
"url": "<string>",
"additionalParamConfigs": [
{
"parameterName": "<string>",
"required": true,
"modifiable": true,
"targetName": "<string>"
}
]
},
"resourceOwnerAuthorizationEndpoint": {
"url": "<string>",
"additionalParamConfigs": [
{
"parameterName": "<string>",
"required": true,
"modifiable": true,
"targetName": "<string>"
}
]
},
"tokenEndpoint": {
"url": "<string>",
"additionalParamConfigs": [
{
"parameterName": "<string>",
"required": true,
"modifiable": true,
"targetName": "<string>"
}
]
},
"credentialId": "<string>"
},
"hmac": {
"id": "<string>",
"description": "<string>",
"name": "<string>",
"digestInputs": [],
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"certificate": {
"id": "<string>",
"description": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
}
}
],
"templateBaseUrl": "<string>"
}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}systems
Update system.
PUT
/
o
/
{organisation_id}
/
systems
/
{system_id}
Update system.
Authorizations
bearerTokencookie
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
⌘I